GNU bug report logs - #30035
27.0.50; stream of messages about ‘semantic-flex’

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: sds@HIDDEN; dated Mon, 8 Jan 2018 23:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 30035 <at> debbugs.gnu.org:


Received: (at 30035) by debbugs.gnu.org; 9 Jan 2018 19:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 14:11:28 2018
Received: from localhost ([127.0.0.1]:49897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYzIu-00068d-9J
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 14:11:28 -0500
Received: from mail-qt0-f180.google.com ([209.85.216.180]:37662)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1eYzIo-00065x-59
 for 30035 <at> debbugs.gnu.org; Tue, 09 Jan 2018 14:11:18 -0500
Received: by mail-qt0-f180.google.com with SMTP id f2so19137724qtj.4
 for <30035 <at> debbugs.gnu.org>; Tue, 09 Jan 2018 11:11:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:in-reply-to:references:user-agent
 :return-receipt-to:reply-to:date:message-id:mime-version;
 bh=QPyPEZgpHKBrTf4p3+TyJPbXmcPOHaFKODMj9Cg3B90=;
 b=dEI2b+2iitSdBqh/uL3tlkAvs3E7bMfDpeWlYcLU2cAqxxH/xqTWxgHUu19m/3uPWz
 WNe4tDrc9r8LbgyvmnF/vYun9wds+NJS+F3wb/A4c2bSEWAHkIUfwivZqo56+Jq6sWXm
 fWh03O7P8XVtcL8nMpS1/jkkbhaCArJSd+y+IF0NhsFPlitrgja+scd2VHBO86bhPYJG
 t6ORKTZfgJ8emI6Xav/mjlvpdhFZxH8NliJR8eDFKLChlnRm+aWT4H6x9iho9GaO2kRa
 aebrLst9GtKSNc+tTiX3mB9zn5/p+1b3tGeTrjGNzQ4FM7H/15G6T+ItJZuFyayeWjyU
 3qkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:in-reply-to:references
 :user-agent:return-receipt-to:reply-to:date:message-id:mime-version;
 bh=QPyPEZgpHKBrTf4p3+TyJPbXmcPOHaFKODMj9Cg3B90=;
 b=foHJiKmmQ84PxcQnyJBfvEINK3reBecNo0ba7T1jnIeufH+plG2KtZF+XoLfnSi/C6
 7Fwmv7+opGUFoDiPRUrfwoNqiGFeEnqc4iSGjD9rMpbO3WO2JC1MX46OQztGQXR5TaOW
 /qRXrsVjR/pP4HUGZTTS7TeiREuDtCHzX6RoErYxQt9oPw4vWrNUUPkf82dWYqDvgBhL
 sk1wXX5V6GOvO/yq3gfhjgSh5H+aYQpbOIJY091G43mv0sMgvSFlNYNYdDXHh2e5Ovgg
 Pv42o6JUidwf2UDtjbFDESDaqnCxLtWUgcmkGuTMy4h4trdONLxqqfDm4O3IBuQP5ZRb
 QFmQ==
X-Gm-Message-State: AKwxyte4DYspoZqfTjM1dUNuU/gncFtpkNwy+QyJhnnXceYkGrKmOULU
 VuNAvLKCrbR+qcD79RyNCw==
X-Google-Smtp-Source: ACJfBotHKHHdrRlpbYM2cIEKJhLWJdzHHWkxCJT0EbRSQFp5hhJmv6mIFuTiagcOTzm6S44xXvJcpg==
X-Received: by 10.237.39.4 with SMTP id n4mr21134231qtd.142.1515525068360;
 Tue, 09 Jan 2018 11:11:08 -0800 (PST)
Received: from Clr-Sam.local ([38.101.106.18])
 by smtp.gmail.com with ESMTPSA id m44sm9511158qtc.9.2018.01.09.11.11.06
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 09 Jan 2018 11:11:07 -0800 (PST)
From: Sam Steingold <sds@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#30035: 27.0.50; stream of messages about
 =?utf-8?Q?=E2=80=98semantic-flex=E2=80=99?=
In-Reply-To: <vy1siy27wv.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 09 Jan 2018 13:39:44 -0500")
References: <lzh8rwc5qv.fsf@HIDDEN> <vy1siy27wv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Tue, 09 Jan 2018 14:11:05 -0500
Message-ID: <lzd12idf06.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > * Glenn Morris <etz@HIDDEN> [2018-01-09 13:39:44 -0500]:
 > > Please give a minimal complete example starting from emacs -Q, thanks.
 --8<cut herestart>8--- wget
 https://sourceforge.net/p/clisp/clisp/ci/tip/tree/src/lispbibl.d?format=raw
 emacs -Q lispbibl.d M-x c-mode M-x customize-set-variable RET semantic-mode
 RET t RET --8<cut hereend>8--- [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.216.180 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.216.180 listed in wl.mailspike.net]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the SBL blocklist
 [URIs: steingoldpsychology.com]
 0.1 URIBL_SBL_A Contains URL's A record listed in the SBL blocklist
 [URIs: steingoldpsychology.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (sam.steingold[at]gmail.com)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
 domains are different
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
 freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 30035
Cc: 30035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > * Glenn Morris <etz@HIDDEN> [2018-01-09 13:39:44 -0500]:
    > > Please give a minimal complete example starting from emacs -Q, thanks.
    --8<cut herestart>8--- wget https://sourceforge.net/p/clisp/clisp/ci/tip/tree/src/lispbibl.d?format=raw
    emacs -Q lispbibl.d M-x c-mode M-x customize-set-variable RET semantic-mode
    RET t RET --8<cut hereend>8--- [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.1 URIBL_SBL_A            Contains URL's A record listed in the SBL blocklist
                             [URIs: steingoldpsychology.com]
  0.6 URIBL_SBL              Contains an URL's NS IP listed in the SBL blocklist
                             [URIs: steingoldpsychology.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (sam.steingold[at]gmail.com)
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different

> * Glenn Morris <etz@HIDDEN> [2018-01-09 13:39:44 -0500]:
>
> Please give a minimal complete example starting from emacs -Q, thanks.

--8<---------------cut here---------------start------------->8---
wget https://sourceforge.net/p/clisp/clisp/ci/tip/tree/src/lispbibl.d?format=raw
emacs -Q lispbibl.d
M-x c-mode
M-x customize-set-variable RET semantic-mode RET t RET
--8<---------------cut here---------------end--------------->8---

Now you need to somehow trigger reparsing.
So far I see no reliable way.
Go to the end of buffer.
Enter stuff.
Enable some C-mode features like hungry delete &c.
Enter more stuff.
Switch to *scratch* and wait.
Eventually it starts repasing like crazy and I cannot even exit normally
(i.e., C-g C-g C-g C-x C-c gets me nowhere).

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1561
http://steingoldpsychology.com http://www.childpsy.net http://think-israel.org
https://ffii.org http://americancensorship.org http://no2bds.org http://jij.org
Microsoft wants to monopolize the right to be a monopoly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30035; Package emacs. Full text available.

Message received at 30035 <at> debbugs.gnu.org:


Received: (at 30035) by debbugs.gnu.org; 9 Jan 2018 18:57:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 13:57:37 2018
Received: from localhost ([127.0.0.1]:49883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYz5d-0004Gc-GP
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:57:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1eYz5c-0004Fx-7b
 for 30035 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:57:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1eYz5W-0002cl-22
 for 30035 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:57:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33391)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1eYz5U-0002bX-Ji; Tue, 09 Jan 2018 13:57:28 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1eYz5T-0004eF-FC; Tue, 09 Jan 2018 13:57:27 -0500
From: Glenn Morris <rgm@HIDDEN>
To: sds@HIDDEN
Subject: Re: bug#30035: 27.0.50; stream of messages about
 =?utf-8?Q?=E2=80=98semantic-flex=E2=80=99?=
References: <lzh8rwc5qv.fsf@HIDDEN> <vy1siy27wv.fsf@HIDDEN>
X-Spook: Coast Guard Fort Hancock Law enforcement Avian Metro Cain
X-Ran: lkU&IVor;?&nxS6.cic"dm`jLZB*5BJBV-k{8+b~|Jzn6\:'~gP+x%2nAfr;[ep?[S\?cs
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 09 Jan 2018 13:57:27 -0500
In-Reply-To: <vy1siy27wv.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 09 Jan 2018 13:39:44 -0500")
Message-ID: <7ushbe3lns.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30035
Cc: 30035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Anyway, I guess the following works around it. AFAICS, this code is
unchanged since Cedet was added to Emacs.

commit 34b41e3 (HEAD, origin/emacs-26, emacs-26)
Date:   Tue Jan 9 13:54:11 2018 -0500

    Quieten semantic normal usage
    
    * lisp/cedet/semantic/lex.el (semantic-flex): Mark obsolete at
    compile time in the normal way, not at run-time.  (Bug#30035)

diff --git a/lisp/cedet/semantic/lex.el b/lisp/cedet/semantic/lex.el
index 9a35dd8..3a8b0c7 100644
--- a/lisp/cedet/semantic/lex.el
+++ b/lisp/cedet/semantic/lex.el
@@ -471,6 +471,7 @@ semantic-lex-types
 ;;; Lexical Analyzer framework settings
 ;;
 
+;; FIXME change to non-obsolete default.
 (defvar semantic-lex-analyzer 'semantic-flex
   "The lexical analyzer used for a given buffer.
 See `semantic-lex' for documentation.
@@ -1857,7 +1858,7 @@ semantic-flex
 scanning, use `narrow-to-region'.
 The last argument, LENGTH specifies that `semantic-flex' should only
 return LENGTH tokens."
-  (message "`semantic-flex' is an obsolete function.  Use `define-lex' to create lexers.")
+  (declare (obsolete define-lex "23.2"))
   (if (not semantic-flex-keywords-obarray)
       (setq semantic-flex-keywords-obarray [ nil ]))
   (let ((ts nil)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30035; Package emacs. Full text available.

Message received at 30035 <at> debbugs.gnu.org:


Received: (at 30035) by debbugs.gnu.org; 9 Jan 2018 18:39:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 13:39:54 2018
Received: from localhost ([127.0.0.1]:49871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYyoU-0003DI-Gg
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:39:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1eYyoS-0003D6-Pz
 for 30035 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:39:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1eYyoN-00058p-0i
 for 30035 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:39:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32950)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1eYyoL-00057r-CV; Tue, 09 Jan 2018 13:39:45 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1eYyoL-0003Mv-0w; Tue, 09 Jan 2018 13:39:45 -0500
From: Glenn Morris <rgm@HIDDEN>
To: sds@HIDDEN
Subject: Re: bug#30035: 27.0.50; stream of messages about
 =?utf-8?Q?=E2=80=98semantic-flex=E2=80=99?=
References: <lzh8rwc5qv.fsf@HIDDEN>
X-Spook: Agfa Al-Qaeda Brownout Communications infrastructure
X-Ran: aiBw-x&3q_p'wF>%#td'R}ePJ&GU.L3HN)VokfWV^a#aR|!=:^KS<0-?ngi#W(h4KxaPtF
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 09 Jan 2018 13:39:44 -0500
In-Reply-To: <lzh8rwc5qv.fsf@HIDDEN> (Sam Steingold's message of "Mon, 08 Jan
 2018 18:04:08 -0500")
Message-ID: <vy1siy27wv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30035
Cc: 30035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Please give a minimal complete example starting from emacs -Q, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30035; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2018 23:04:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 08 18:04:40 2018
Received: from localhost ([127.0.0.1]:41856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYgT2-0002FV-Jh
	for submit <at> debbugs.gnu.org; Mon, 08 Jan 2018 18:04:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1eYgT0-0002FG-E1
 for submit <at> debbugs.gnu.org; Mon, 08 Jan 2018 18:04:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sam.steingold@HIDDEN>) id 1eYgSs-0000li-59
 for submit <at> debbugs.gnu.org; Mon, 08 Jan 2018 18:04:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52899)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sam.steingold@HIDDEN>)
 id 1eYgSs-0000lX-0v
 for submit <at> debbugs.gnu.org; Mon, 08 Jan 2018 18:04:22 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55437)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sam.steingold@HIDDEN>) id 1eYgSp-0005J4-54
 for bug-gnu-emacs@HIDDEN; Mon, 08 Jan 2018 18:04:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sam.steingold@HIDDEN>) id 1eYgSn-0000hX-Fb
 for bug-gnu-emacs@HIDDEN; Mon, 08 Jan 2018 18:04:19 -0500
Received: from mail-qt0-x22f.google.com ([2607:f8b0:400d:c0d::22f]:37584)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <sam.steingold@HIDDEN>)
 id 1eYgSj-0000eU-D8; Mon, 08 Jan 2018 18:04:13 -0500
Received: by mail-qt0-x22f.google.com with SMTP id f2so15693373qtj.4;
 Mon, 08 Jan 2018 15:04:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:subject:return-receipt-to:reply-to:date:message-id
 :mime-version:content-transfer-encoding;
 bh=3ZMix1t+O94Ajwrs7G1Pvu1SHv3zhRMmdxtkY2CM+ng=;
 b=JeLWNSV1GttKghe8wKcdmaqJlP+cOS4l99v8dtjVKhOQEnX1rHr/Ji1vY7kDQZUZLw
 mHbx3rlpHyn43EDYWyNN0ZC6d5Sn+pQBvzMIim/B0Yxn16WaDhq70OwP1mUOlY7+RYFp
 iTYiQUkfJvsf6Xiw4yIVwuQIi4nby6gTG1m+Bssw4z6Xs/1ice/adFbhkCTfkDGhGsr0
 A8KnkjO/Pc74UllCbNW+TfnWkQh9IVqovOhzm5FqIERckkArA4MWEN9/hXZ+1jU+aSaa
 OTkRZtObxA00DuX786G1PohyF00HQfJSPgtK2uWb51bwG/fIH2+8In6emg+nGD+vA1CV
 lixw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:subject:return-receipt-to
 :reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=3ZMix1t+O94Ajwrs7G1Pvu1SHv3zhRMmdxtkY2CM+ng=;
 b=VZODvGI1Rs5JEjdsMmuS4dAY8cknTJ4IqNUT6Uvw1j/qnFst+kLOaYowzqVzVk+9mx
 1BsnAiH97c0R1zqYQeJQGUwaRbA3ibAR9fLEpLD5ZUY3s5W5lWsk+w0UyKTJYbO7xoug
 6yaFHGbaddFuTbRVQYaHLTXBrRS47bsqMppPFW0CLAH3EfdAVzhz7XdFcIF5yNSnm4Sq
 xnPtz5o9lCVzOrXdNhfN/EWzWLXypSxbP+YOAfuP52amWTp7sF55g9tpcseWq44a+63y
 13Bfl6myKWhxuHwMy58JwW4C7XWv2BGSvZBM0T6oazSRpjgy2LA3xFF4t6vPBJR7G16s
 FeQw==
X-Gm-Message-State: AKwxytfnhC+bmAQE4JT7YBs/+r6RnSdBQ6pzkfYQnyd69WLEz4SYZ21t
 wVXyYuWl/pD+tHW40NjQasilt2U=
X-Google-Smtp-Source: ACJfBovYNvaewBC4FwxSm+LwZnstYHO6LvvkPyKFRUqvajvEWiCjqdCZfjPRPN1myc0rofb32kIbWw==
X-Received: by 10.200.43.13 with SMTP id 13mr19030645qtu.341.1515452652128;
 Mon, 08 Jan 2018 15:04:12 -0800 (PST)
Received: from Clr-Sam.local ([38.101.106.18])
 by smtp.gmail.com with ESMTPSA id m82sm1296843qki.81.2018.01.08.15.04.10
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 08 Jan 2018 15:04:10 -0800 (PST)
From: Sam Steingold <sds@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; stream of messages about =?utf-8?Q?=E2=80=98semantic-fle?=
 =?utf-8?Q?x=E2=80=99?=
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Mon, 08 Jan 2018 18:04:08 -0500
Message-ID: <lzh8rwc5qv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin17.3.0, NS appkit-1561.20=
 Version 10.13.2 (Build 17C88))
 of 2018-01-08 built on Clr-Sam.local
Repository revision: a0365437c9ee308ad7978e436631020f513b25e7
Windowing system distributor 'Apple', version 10.3.1561
System Description:  Mac OS X 10.13.2

I keep getting messages about semantic-flex being obsolete.
lispbibl.d is in C-mode as came with Emacs.
1. it should not be constantly re-parsed (it has been buries for many days)
2. stock emacs package (cc-mode) should not use obsolete functionality.

Recent messages:
Parsing lispbibl.d (LL)...1%
Parsing lispbibl.d (LL)...
=E2=80=98semantic-flex=E2=80=99 is an obsolete function.  Use =E2=80=98defi=
ne-lex=E2=80=99 to create lexers. [132 times]
Parsing lispbibl.d (LL)...
=E2=80=98semantic-flex=E2=80=99 is an obsolete function.  Use =E2=80=98defi=
ne-lex=E2=80=99 to create lexers. [211 times]
Quit
funcall-interactively: No recursive edit is in progress
Parsing lispbibl.d (LL)...
=E2=80=98semantic-flex=E2=80=99 is an obsolete function.  Use =E2=80=98defi=
ne-lex=E2=80=99 to create lexers. [596 times]
Parsing lispbibl.d (LL)...4%

Configured using:
 'configure --with-mailutils --with-ns
 PKG_CONFIG_PATH=3D/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/imag=
emagick/lib/pkgconfig/
 --without-makeinfo'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS JSON

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: C
  locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  pyvenv-mode: t
  global-edit-server-edit-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-idle-scheduler-mode: t
  which-function-mode: t
  url-handler-mode: t
  semantic-mode: t
  show-paren-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t

Load-path shadows:
None found.

Features:
(shadow emacsbug dired-aux inf-lisp tramp-cmds sh-script smie executable
find-dired log-view d-mode smtpmail bbdb-message mailalias sendmail
cookie1 nnir sort gnus-cite smiley shr svg browse-url mm-archive
gnus-async gnus-bcklg gnus-dup qp mail-extr gnus-ml hl-line disp-table
spam spam-stat gnus-uu yenc nndraft nnmh gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime
smime dig utf-7 gnus-cache gnus-sum bbdb-gnus network-stream starttls
nntp gnus-group gnus-undo tramp-cache gnus-start gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win pcmpl-unix pcmpl-gnu semantic/bovine/c hideif
semantic/bovine/c-by semantic/lex-spp semantic/bovine/gcc
semantic/bovine semantic/analyze/refs semantic/analyze semantic/scope
semantic/analyze/fcn cl-print debug markdown-mode color noutline outline
log-edit message rfc822 mml mml-sec epa epg epg-config mm-decode
mm-bodies mm-encode gmm-utils mailheader pcvs-util dabbrev
semantic/tag-write skeleton company-capf company-semantic ein-multilang
ein-multilang-fontify org-src ob-comint ob-keys ob-core ob-eval
org-compat org-macs ein-company url-http tls gnutls url-auth mail-parse
rfc2231 url-gw nsm rmc puny ein-notebooklist ein-file ein-notebook
eieio-opt semantic/sb speedbar sb-image dframe ein-inspector
ein-traceback ein-pytools ein-pager ein-completer ein-subpackages
ein-notification ein-scratchsheet ein-worksheet ein-kill-ring
ein-cell-output ein-cell-edit ein-cell ein-skewer skewer-mode
cache-table js2-mode js sgml-mode dom simple-httpd pp ein-output-area
xml ein-kernelinfo ein-kernel ein-ipdb ein-events eieio-compat
ein-websocket websocket bindat ein-contents-api ein-query
request-deferred deferred request url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap ein-node
ein-log ein-classes ein-core ein-utils dash cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ein
misearch multi-isearch semantic/edit vc-bzr vc-src vc-sccs vc-svn vc-cvs
vc-rcs add-log semantic/tag-file remember semantic/imenu semantic/sort
semantic/db-file data-debug cedet-files semantic/wisent/python
semantic/decorate/include semantic/db-find semantic/db-ref
semantic/decorate/mode semantic/decorate pulse semantic/dep
semantic/wisent/python-wy semantic/wisent semantic/wisent/wisent rx
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-cmake
company-xcode company-clang company-eclim company-template company-css
company-nxml company-bbdb cl-extra yasnippet flymake-proc flymake
company pcase help-fns radix-tree help-mode elpy find-file-in-project
ivy delsel ivy-overlay ffap thingatpt windmove elpy-shell elpy-profile
elpy-django s elpy-refactor derived edmacro kmacro subr-x ido grep
compile files-x etags xref project cus-edit python tramp-sh tramp
tramp-compat tramp-loaddefs trampver shell pcomplete parse-time
format-spec comint ring ansi-color vc-dir ewoc vc vc-git diff-mode
easy-mmode dired dired-loaddefs vc-dispatcher vc-hg flyspell ispell
elec-pair warnings midnight ein-loaddefs pyvenv gnus nnheader gnus-util
rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils mm-util
mail-prsvr wid-edit bbdb-mua bbdb-com crm mailabbrev bbdb-loaddefs bbdb
bbdb-site timezone edit-server advice server finder-inf info package
semantic/db-mode semantic/db eieio-base semantic/idle semantic/format
ezimage semantic/tag-ls semantic/find semantic/ctxt which-func imenu
url-handlers url-parse auth-source cl-seq password-cache json map seq
url-vars semantic/util-modes easymenu semantic/util semantic
semantic/tag semantic/lex semantic/fw eieio byte-opt bytecomp
byte-compile cconv eieio-core cl-macs eieio-loaddefs mode-local
find-func cedet paren help-at-pt desktop frameset cus-start cus-load cl
gv cl-loaddefs cl-lib time-date tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 5914682 288585)
 (symbols 48 62469 125)
 (miscs 40 18679 1273)
 (strings 32 667093 97708)
 (string-bytes 1 29742474)
 (vectors 16 123738)
 (vector-slots 8 2730014 256318)
 (floats 8 570 1212)
 (intervals 56 88635 2237)
 (buffers 992 108))

--=20
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1561
http://steingoldpsychology.com http://www.childpsy.net
https://jihadwatch.org http://islamexposedonline.com
Volume(Pizza of radius Z and thickness A) =3D PI * Z * Z * A




Acknowledgement sent to sds@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30035; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 9 Jan 2018 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.